<div align="center">
    <a href=""><img src="./.media/banner.png" alt="Paths"></a>
    <br>
    <sub>
        Built with ❤︎ by <a href="https://github.com/Xevion/">Xevion</a>
    </sub>
</div>

Paths is a Unity-based application dedicated to showing off a array of different pathfinding algorithms in a variety of different environments and configurations.

## Development Cycle

While Paths is intended to be a fully functional project ready for anyone, it is also a project of personal interest and a resume item.

If it interests you, you can see [here](./CYCLE.md) a link to my development cycle in the form of documented screenshots as I went from nothing to something. I attempted to add descriptions showing off precisely what I did.

## To-do

- Algorithms
    - Djikstra
    - IDA*
    - Depth-First Search
    - Breadth-First Search
    - Jump Point Search
    - Orthogonal Jump Point Search
    - Trace
    - Bellman-Ford
    - D* or D*-Lite
- Configuration Options
    - Search Options
        - Uninformed
        - Informed
            - Heuristic Calculations
                -Distance
                    - Manhattan
                    - Euclidean
- Application Elements
    - UI Toolbar / Tool Selection
    - Algorithm Configuration Area
    - Statistics Report
- Miscellaneous
    - Repository graphics
